Bug 244568 - rt73usb totally broken
rt73usb totally broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
urgent Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-17 09:13 EDT by Jonathan Underwood
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.6.22.9-91.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 08:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for timeout on USB 1.1 host (385 bytes, patch)
2007-08-04 05:49 EDT, Ivo van Doorn
no flags Details | Diff

  None (edit)
Description Jonathan Underwood 2007-06-17 09:13:24 EDT
Description of problem:
The rt73 driver as shipped with F7 is totally broken. It will connect to an AP
for about 30 seonds before the connection dies. 

<rant> F7 is horrendous in terms of wireless support. iwl3945 is a flakey piece
of crap. rt73 is a flakey piece of crap. It is better to not ship drivers at all
than ship utterly broken ones. It is fine to ship broken ones in rawhide in an
effort to get them fixed, but a release is different. What is even worse is that
there IS a functional rt73 legacy driver that isn't shipped. Please, this is
shocking, sort it out. </rant>

dmesg output is filled with stuff like this:
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
printk: 2 messages suppressed.
hub 5-0:1.0: connect-debounce failed, port 2 disabled
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3024 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3024 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3020 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3020 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3050 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3050 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_bbp_read: Error - PHY_CSR3 register busy. Read failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_bbp_write: Error - PHY_CSR3 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
printk: 2 messages suppressed.
hub 5-0:1.0: connect-debounce failed, port 2 disabled
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3024 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3024 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3020 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3020 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3040 with error -110.
printk: 2 messages suppressed.
hub 5-0:1.0: connect-debounce failed, port 2 disabled
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3050 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3050 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3040 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_bbp_read: Error - PHY_CSR3 register busy. Read failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x308c with error -110.
rt73usb->rt2x00_bbp_write: Error - PHY_CSR3 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x06
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.
rt73usb->rt2x00_rf_write: Error - PHY_CSR4 register busy. Write failed.
rt73usb->rt2x00_vendor_request: Error - vendor request error. Request 0x07
failed for offset 0x3090 with error -110.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jonathan Underwood 2007-06-17 09:14:34 EDT
Kernel version: kernel-2.6.21-1.3228.fc7
Comment 2 Serge V Storozhevykh 2007-06-29 16:14:27 EDT
And firmware file /lib/firmware/rt73.bin is missed.
Comment 3 John W. Linville 2007-08-01 10:06:13 EDT
Re: comment 2 -- we don't have explicit permission to distribute the firmware.  
Please see the directions here:

http://rt2x00.serialmonkey.com/wiki/index.php?title=Rt2x00_README#Firmware:

There have been a lot of rt2x00 updates lately.  Do the current kernels 
(2.6.22.1-41 or later) work better on your hardware?
Comment 4 Ivo van Doorn 2007-08-03 14:40:09 EDT
Jonathan,

do you have by any chance plugged in your device into a USB 1.1 bus?
If you have a USB 2.0 bus, please plug it in there to see if that works 
better.
Comment 5 Robert Spanton 2007-08-03 17:12:42 EDT
I had similar problems with an Edimax EW-7318USg.  I installed the firmware, and
blacklisted rt2500usb, and now it works (machine hangs when I unplug though!).
Comment 6 Jonathan Underwood 2007-08-03 20:11:41 EDT
(In reply to comment #4)
> Jonathan,
> 
> do you have by any chance plugged in your device into a USB 1.1 bus?
> If you have a USB 2.0 bus, please plug it in there to see if that works 
> better.

This particular machine doesn't have any USB 2 ports. I haven't tried with the
recent kernels. On sunday I'll be physically by this machine again and so will
try the newer kernels and also try the device in a machine with a usb 2 port.
Comment 7 Ivo van Doorn 2007-08-04 05:48:59 EDT
Ok this at least confirms my suspicion about a USB 1.1 device. ;)

John I will have the fix for this in the next rt2x00 release, but I am also 
working on some other problems I want have fixed for that next release.

A temporary workaround for this issue is applying the following patch,
the real fix will be in the next rt2x00 release.
Comment 8 Ivo van Doorn 2007-08-04 05:49:52 EDT
Created attachment 160689 [details]
Fix for timeout on USB 1.1 host
Comment 9 John W. Linville 2007-08-10 17:05:24 EDT
Please try the kernels here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=13224

Do these work better for you?
Comment 10 Jonathan Underwood 2007-08-11 07:40:19 EDT
Tried  kernel-2.6.22.1-50.fc7 (i686). So far, the device is up and running and
haven't lost connection yet. However, I still see the same messages in dmesg:


hub 5-0:1.0: connect-debounce failed, port 2 disabled
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x30c0 with error -110.
printk: 2 messages suppressed.
hub 5-0:1.0: connect-debounce failed, port 2 disabled
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x30c4 with error -110.
printk: 3 messages suppressed.
hub 5-0:1.0: connect-debounce failed, port 2 disabled
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x30c0 with error -110.
printk: 2 messages suppressed.
hub 5-0:1.0: connect-debounce failed, port 2 disabled
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x30c0 with error -110.
printk: 2 messages suppressed.
hub 5-0:1.0: connect-debounce failed, port 2 disabled
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x30c4 with error -110.
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x308c with error -110.
printk: 2 messages suppressed.
hub 5-0:1.0: connect-debounce failed, port 2 disabled
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06 failed for offset
0x308c with error -110.
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x308c with error -110.
printk: 2 messages suppressed.
hub 5-0:1.0: connect-debounce failed, port 2 disabled
printk: 3 messages suppressed.
Comment 11 Ivo van Doorn 2007-08-19 14:51:44 EDT
Problem has been fixed in rt2x00 2.0.7
Comment 12 Christopher Brown 2007-09-16 18:16:44 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

This bug appears to be resolved and I am therefore closing it. If I have erred,
please forgive me and re-open with any additional information you are able to
give. I will then try and assist you if I can.

Cheers
Chris
Comment 13 Jonathan Underwood 2007-09-16 18:57:34 EDT
Afraid this bug is still present - rt73usb is entirely unusable with kernel
2.6.22.5-76.fc7. The card fails to associate with the AP. Reverting to using the
legacy rt73 driver CVS snapshot fixes the problem instantly.

Kernel devs - please consider packaging the fully functional open source legacy
drivers from the rt2x00 project for F8, rather than the unstable, buggy,
unmaintained mess that is rt2x00.
Comment 14 John W. Linville 2007-09-17 09:11:03 EDT
No.  The "legacy" drivers have no future.
Comment 15 Jonathan Underwood 2007-09-17 09:26:35 EDT
(In reply to comment #14)
> No.  The "legacy" drivers have no future.

But the rt2x00 drivers are not yet ready - they don't work. Including them makes
life even more difficult for users than not including them, as they now have to
work out how to blacklist them when installing the working legacy drivers.

I understand the motivation - the only way to get bugs fixed is by having users
test and report. But, the drivers have to reach a certain level of usability
before that process becomes efficient. rt2x00 is not there yet and most
importantly ***is currently not maintained***. 

The situation won't improve until the maintainance of rt2x00 is picked up again.
There are working drivers available. Including such broken drivers is
counterproductive.




Comment 16 John W. Linville 2007-09-17 09:37:26 EDT
YMMV...many seem to be using the rt2x00 drivers w/o problems.

As for "not maintained", Ivo just posted a patchbomb over the weekend.  And, 
his last was only a few weeks ago.

Including the legacy drivers would be counter-productive.
Comment 17 Jonathan Underwood 2007-09-17 09:55:28 EDT
(In reply to comment #16)
> YMMV...many seem to be using the rt2x00 drivers w/o problems.
> 

Yeah - depends on device - rt2500 support seems fine. Conversely, I have seen no
reports of rt73usb working.

> As for "not maintained", Ivo just posted a patchbomb over the weekend.  And, 
> his last was only a few weeks ago.
> 

Well, that's encouraging - I was referring to the prominent message on the
rt2x00 website from may saying that development is suspended until November (6
months from May).

> Including the legacy drivers would be counter-productive.

My rt73 device not working is counter productive. People buying ralink wireless
devices because they are reported to be supported by Linux only to find them not
working under Fedora becoming discouraged is very counter productive. 

I really understand your reasons for pushing the rt2x00 drivers, but please
think carefully about this: Wireless is probably the worst supported area of
linux (behind even graphics). We finally have a Linux friendly vendor who has
published GPLd drivers for their chipsets (and maybe even hardware specs - not
sure). To not include support for this companies devices in one of the major
distributions, but instead to ship broken development code seems to me to be
dangerous. It's a two way street - ralink have done a LOT to make this happen,
to discard their efforts sends out a bad message to other vendors. Why should
they bother releasing OS drivers only to have Linux devs ignore them and instead
ship broken alternative code, making their hardware look bad. I understand there
are technical reasons for preferring the newer rt2x00 code, and why that is to
be merged upstream and not the legacy code. But to the uneducated Linux user who
doesn't understand these technical reasons, they buy a device claimed to work
with Linux, plug it in, it doesn't work, and they start to think bad things
about the company. The company, who had hoped to earn revenue from selling its
hardware to Linux users by releasing drivers suddenly sees broken drivers being
shipped, disattisfied users, lost revenue. CEO seriously reconsiders paying his
devs to write future OS drivers for future hardware. Linux loses.
Comment 18 John W. Linville 2007-09-17 10:14:10 EDT
Ralink is supporting the rt2x00 drivers.  Those developers have (some) specs, 
and Ralink has even relicensed their firmware so that it can be included in 
Fedora and other distros.

Anyway, including their out-of-stream drivers was never an option.  The choice 
was between the not-quite-but-soon-upstream rt2x00 drivers and nothing at all.
Comment 19 Ivo van Doorn 2007-09-17 13:33:59 EDT
No success reports about rt73usb?
I have received multiple success reports, even those who also reported the 
timeout errors on USB1.1 hosts have already reported successes when rt2x00 
2.0.7 was released.

If the company (Ralink) really cared about having proper Linux drivers 
support, and don't want broken drivers to be shipped, perhaps they should have 
released drivers that actually supported more then x86 (Yes, legacy drivers on 
the Ralink website do not even compile in 64bit environments).
But that is why the rt2x00 project is supported by Ralink, and we get the 
specsheets from them.

As for the "Not maintained" part of rt2x00. The message said that I was taking 
a personal break for undetermined time. It also said that other developers 
were welcome to submit patches and I would be applying those patches. The 
break eventually became shorter then expected. But since the message never 
was "rt2x00 is not maintained" and the core of the message was also telling 
something else, there was no need to change the message.
Comment 20 Jonathan Underwood 2007-09-17 13:52:11 EDT
(In reply to comment #19)
> No success reports about rt73usb?
> I have received multiple success reports, even those who also reported the 
> timeout errors on USB1.1 hosts have already reported successes when rt2x00 
> 2.0.7 was released.

I am not sure if the F7 kernels are sync'd to version 2.0.7, but certainly, it's
still broken for me.  I see other people reporting the same problems on the
rt2x00 forum as well.

> 
> If the company (Ralink) really cared about having proper Linux drivers 
> support, and don't want broken drivers to be shipped, perhaps they should have 
> released drivers that actually supported more then x86 (Yes, legacy drivers on 
> the Ralink website do not even compile in 64bit environments).
> But that is why the rt2x00 project is supported by Ralink, and we get the 
> specsheets from them.
> 

Good news.

> As for the "Not maintained" part of rt2x00. The message said that I was taking 
> a personal break for undetermined time. It also said that other developers 
> were welcome to submit patches and I would be applying those patches. The 
> break eventually became shorter then expected. But since the message never 
> was "rt2x00 is not maintained" and the core of the message was also telling 
> something else, there was no need to change the message.

Well, I'm certainly glad to be wrong on this, please accept my apologies!
However, I think you should consider updating the website - it really does read
to a casual observer like the main developer has disappeared for a while, and
the project won't advance much in that time. 
Comment 21 Ivo van Doorn 2007-09-17 17:23:50 EDT
(In reply to comment #20)
> I am not sure if the F7 kernels are sync'd to version 2.0.7, but certainly, 
it's
> still broken for me.  I see other people reporting the same problems on the
> rt2x00 forum as well.

Well I haven't heard these reports since a month or so when rt2x00 2.0.7 was 
released. All other reports regarding vendor request errors didn't had 
the -110 error code and were caused by something different. (Variating from 
hardware problems, to small bug in the beacon configuration).

> Well, I'm certainly glad to be wrong on this, please accept my apologies!
> However, I think you should consider updating the website - it really does 
read
> to a casual observer like the main developer has disappeared for a while, 
and
> the project won't advance much in that time. 

Done.
Comment 22 John W. Linville 2007-09-28 14:51:45 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=19787

Please try the kernels at the link above.  Are they working better for you?
Comment 23 Jonathan Underwood 2007-10-09 11:05:19 EDT
Sorry for the dealy - am only physically at this box periodically.

Things are improved with the 2.6.22.9-91.fc7 #1 SMP  kernel, but still drops
periodically. It is getting better though, I think.

wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: authentication frame received from 00:18:4d:07:31:da, but not in
authenticate state - ignored
wlan0: RX AssocResp from 00:18:4d:07:31:da (capab=0x421 status=0 aid=2)
wlan0: associated
wlan0: switched to short barker preamble (BSSID=00:18:4d:07:31:da)
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x30c0 with error -110.
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x30c4 with error -110.
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x308c with error -110.
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06 failed for offset
0x308c with error -110.
phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset
0x308c with error -110.

Is there any other useful info I can give?
Comment 24 John W. Linville 2007-10-16 08:21:08 EDT
Seems like it is no longer "totally broken".  FWIW, periodic disconnects 
happen with a lot of the drivers and may be a mac80211 issue.  Please open a 
bug specific to that if you can characterize the issue concretely.
Comment 25 Jonathan Underwood 2007-10-16 08:29:46 EDT
OK will do. Any pointers to getting more useful debugging information for
wireless devices?
Comment 26 John W. Linville 2007-10-16 12:44:46 EDT
Not really, just the basics like dmesg and lspci for starters, as well as 
specifically describing any recreation scenarios.

Note You need to log in before you can comment on or make changes to this bug.